Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.enc.keyinfo
Interface AgreementMethod

All Superinterfaces:
  AlgorithmMethod, XMLStructure

    public interface AgreementMethod

extends AlgorithmMethod, XMLStructure

Represents the `AgreementMethod` element. Its schema definition is as follows:

     <element name="AgreementMethod" type="xenc:AgreementMethodType"/>
     <complexType name="AgreementMethodType" mixed="true">
            <sequence>
               <element name="KA-Nonce" minOccurs="0" type="base64Binary"/>
               <!-- <element ref="ds:DigestMethod" minOccurs="0"/> -->
               <any namespace="##other" minOccurs="0" maxOccurs="unbounded"/>
               <element name="OriginatorKeyInfo" minOccurs="0" type="ds:KeyInfoType"/>
               <element name="RecipientKeyInfo" minOccurs="0" type="ds:KeyInfoType"/>
            </sequence>
            <attribute name="Algorithm" type="anyURI" use="required"/>
     </complexType>

Field Summary
`static java.lang.String` | `DH` The Diffie-Hellman DH key agreement algorithm URI.

Method Summary
`byte[]` | `getKANonce()` Returns a nonce that assures different key materials are generated.
`KeyInfo` | `getOriginatorKeyInfo()` Returns key information from the originator used to determine the secret key.
`java.security.spec.AlgorithmParameterSpec` | `getParameterSpec()` Returns the algorithm-specific input parameters of this AgreementMethod.
`KeyInfo` | `getRecipientKeyInfo()` Returns key information from the recipient used to determine the secret key.

Methods inherited from interface javax.xml.crypto.AlgorithmMethod
`getAlgorithm`

Methods inherited from interface javax.xml.crypto.XMLStructure
`isFeatureSupported`

Field Detail

### DH

    static final java.lang.String DH

  The Diffie-Hellman DH key agreement algorithm URI.

  See Also:
    Constant Field Values

Method Detail

### getKANonce

    byte[] getKANonce()

  Returns a nonce that assures different key materials are generated. Each invocation of this method returns a new clone.

  Returns:
    a nonce, or `null` if not specified

### getParameterSpec

    java.security.spec.AlgorithmParameterSpec getParameterSpec()

  Returns the algorithm-specific input parameters of this AgreementMethod. The returned parameters can be typecast to a `AgreementMethodParameterSpec` object.

  Specified by:
    `getParameterSpec` in interface `AlgorithmMethod`
  Returns:
    the algorithm-specific input parameters of this `AgreementMethod` (may be `null` if not specified)

### getOriginatorKeyInfo

    KeyInfo getOriginatorKeyInfo()

  Returns key information from the originator used to determine the secret key. The marshalling method should ensure that the OriginatorKeyInfo belongs to the xenc namespace.

  Returns:
    an originator's `KeyInfo` or `null` if not specified

### getRecipientKeyInfo

    KeyInfo getRecipientKeyInfo()

  Returns key information from the recipient used to determine the secret key. The marshalling method should ensure that the RecipientKeyInfo belongs to the xenc namespace.

  Returns:
    a recipient's `KeyInfo` or `null` if not specified

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org